## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege
Class PrivilegesSection

    java.lang.Object
      org.eclipse.ui.forms.AbstractFormPart
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesSection

All Implemented Interfaces:
  org.eclipse.ui.forms.IFormPart

    public abstract class PrivilegesSection

extends CollapseableSection

The privileges section on "Privileges" page

Author:
  Idull

Constructor Summary
`PrivilegesSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit, java.lang.String title, org.eclipse.swt.widgets.Display display, boolean isCollapseable, boolean isCollapsed, int estyle, org.eclipse.ui.forms.IManagedForm managedForm, ISchemaObjectEditorPage page)`

Method Summary
`void` `createSectionContent(org.eclipse.swt.widgets.Composite parent)` Creates the section content, subclass should implement this method to create controls in the contect
`PrivilegesBlock` `getPermissionsBlock()`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.CollapseableSection
`createControl, getSection, getSectionContent, setPluginId`

Methods inherited from class org.eclipse.ui.forms.AbstractFormPart
`commit, dispose, getManagedForm, initialize, isDirty, isStale, markDirty, markStale, refresh, setFocus, setFormInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivilegesSection

    public PrivilegesSection(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                             java.lang.String title,
                             org.eclipse.swt.widgets.Display display,
                             boolean isCollapseable,
                             boolean isCollapsed,
                             int estyle,
                             org.eclipse.ui.forms.IManagedForm managedForm,
                             ISchemaObjectEditorPage page)

Method Detail

### createSectionContent

    public void createSectionContent(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `CollapseableSection`
  Creates the section content, subclass should implement this method to create controls in the contect

  Parameters:
    `parent` - the section content composite

### getPermissionsBlock

    public PrivilegesBlock getPermissionsBlock()